vla-GetInterfaceObject in Acad 2004?

Discussion in 'AutoCAD' started by GARYNTX, Jan 12, 2004.

  1. GARYNTX

    GARYNTX Guest

    This worked fine in Acad 2002 but doesn't work in Acad 2004.

    (setq LayerStateObject (vla-GetInterfaceObject (vlax-get-acad-object) "AutoCAD.AcadLayerStateManager"))

    I get this error instead

    ; error: Automation Error. Problem in loading application
     
    GARYNTX, Jan 12, 2004
    #1
  2. Append a ".16" to the end of the string. This is documented in the ActiveX
    reference.


    --
    R. Robert Bell, MCSE
    www.AcadX.com


    | This worked fine in Acad 2002 but doesn't work in Acad 2004.
    |
    | (setq LayerStateObject (vla-GetInterfaceObject (vlax-get-acad-object)
    "AutoCAD.AcadLayerStateManager"))
    |
    | I get this error instead
    |
    | ; error: Automation Error. Problem in loading application
     
    R. Robert Bell, Jan 12, 2004
    #2
  3. Try
    Code:
    (setq LayerStateObject
    (vlax-invoke-method
    (vlax-get-acad-object)
    'GetInterfaceObject
    "AutoCAD.AcadLayerStateManager.16"
    )
    )
     
    michael puckett, Jan 12, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.